# $Revision: 1.23 $, $Date: 2004/05/06 18:09:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	AI
%define	pnam	DecisionTree
Summary:	AI::DecisionTree - automatically learns decision trees
Summary(pl):	AI::DecisionTree - automatyczne uczenie drzew decyzyjnych
Name:		perl-%{pdir}-%{pnam}
Version:	0.08
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eaed56886a22506b8ed5f6dab88e7060
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	perl-GraphViz}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "AI::DecisionTree" module automatically creates so-called "decision
trees" to explain a set of training data.  A decision tree is a kind of
categorizer that use a flowchart-like process for categorizing new
instances.  For instance, a learned decision tree might look like that
one in documentation, which classifies for the concept "play tennis".

%description -l pl
Modu AI::DecisionTree automatycznie tworzy tak zwane "drzewa
decyzyjne" do objaniania zbiorw danych uczcych. Drzewo decyzyjne to
rodzaj klasyfikatora uywajcego procesu podobnego do przepywu do
klasyfikacji nowych przypadkw. Na przykad, nauczone drzewo decyzyjne
moe wyglda jak to umieszczone w dokumentacji, klasyfikujce dla
pojcia "gry w tenisa".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/%{pdir}/*.pm
%{perl_vendorarch}/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance/*.so
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AI-DecisionTree.spec,v $
Revision 1.23  2004/05/06 18:09:11  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/27 15:26:24  ankry
- new bconds

Revision 1.21  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.20  2004/04/20 09:46:25  ankry
- bcond fixes/porting

Revision 1.19  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.18  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.17  2004/03/09 21:07:26  adamg
- new style bconds

Revision 1.16  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.15  2003/09/03 18:40:40  adamg
- updated to 0.8

Revision 1.14  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/07/24 14:56:43  adamg
- updated to 0.07

Revision 1.12  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:35:46  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:25:22  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/09/22 13:49:12  kloczek
- (auto)updated to 0.06.

Revision 1.5  2002/09/12 22:20:58  radek
- version 0.05

Revision 1.4  2002/09/08 11:04:08  radek
- version 0.04

Revision 1.3  2002/08/17 06:28:56  kloczek
- (auto)updated to 0.02.

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
